Uploaded image for project: 'Hadoop Common'
  1. Hadoop Common
  2. HADOOP-8064

Remove unnecessary dependency on w3c.org in document processing

VotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 0.23.0, 0.23.1
    • 0.23.2
    • build
    • None

    Description

      Our builds fail occasionally due to validation failures caused by unavailability of w3.org. In fact, w3.org has been fed up with this kind of requests, blacklisting/throttling have been in place for some time.

      The ones I've seen are coming from maven pdf plugin v.1.1 used in hadoop-tools/hadoop-distcp. The input validation has been made configurable in MPDF-39, which requires DOXIA-392 (fixed since doxia-1.1.3). Unfortunately, the maven pdf plugin 1.2 has been cooking for long time and not been released yet. May be we could force it to use a later version of doxia?

      Attachments

        1. hadoop-8064.patch.txt
          0.7 kB
          Kihwal Lee
        2. hadoop-8064.patch.txt
          0.9 kB
          Kihwal Lee

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            kihwal Kihwal Lee
            kihwal Kihwal Lee
            Votes:
            0 Vote for this issue
            Watchers:
            6 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment